Subject: Re: bug#8158: Definition of auto-mode-alist

From: Reuben Thomas <[email-masked]>
Date: Wed, 2 Mar 2011 22:22:47 +0000

On 2 March 2011 22:18, Lennart Borgman <[email-masked]> wrote:
> On Wed, Mar 2, 2011 at 11:02 PM, Reuben Thomas <[email-masked]> wrote:
>> A comment in files.el says:
>>
>>  ;; Note: The entries for the modes defined in cc-mode.el (c-mode,
>>  ;; c++-mode, java-mode and more) are added through autoload
>>  ;; directives in that file.  That way is discouraged since it
>>  ;; spreads out the definition of the initial value.
>>
>> Isn't this a bit unmodular as Emacs continues to grow, and given loaddefs.el?
>>
>> If the maintainers agree, then the last sentence should be changed to
>> encourage the removal of the initial values back into the relevant
>> mode files.
>
> I think I disagree. This sort of information must be coordinated so it
> need to be in a central place.

Why does it have to be coordinated? The most obvious reason seems to
me "to avoid clashes", but this is detectable by parsing
auto-mode-alist. Generating a warning when there are clashing settings
for the same suffix would also be handy for 3rd party modes, which
cannot integrate their information in this way.

For modes that are part of Emacs, this system is fragile, as it's easy
to forget that part of the mode is in files.el.

-- 
http://rrt.sc3d.org